Forgot password?

Create an account!

Forum

« back

RhinoScript – How to AddPoints at SurfaceKnot Coordinates

Messages

Please log in to write a message.

  • 3. bringfire (Aug 20, 2011 01.31):

    johannes,

    that works!...the code you wrote duplicates the points on the corners of the surface so that there are 3x as many points as in the middle of the surface...but I can just compare the points and remove the duplicates.

    thank you very much!

    AMJR

  • 2. Johannes (Aug 19, 2011 10.41):

    hi, just some lines of code... hope i can help you:

            Dim strObject, arrKnots, pt, j, i, dblParam
            strObject       = Rhino.GetObject("Select a surface")
            arrKnots        = Rhino.SurfaceKnots(strObject)
            'arrKnots(0) u direction
            'arrKnots(1) v direction

            For i = 0 To UBound(arrKnots(0))
                    For j = 0 To Ubound(arrKnots(1))
                            ' uv to coordinate
                            dblParam        = array(arrKnots(0)(i), arrKnots(1)(j))
                            pt                      = Rhino.EvaluateSurface(strObject, dblParam)
                            Call Rhino.AddPoint(pt)
                    Next
            Next

    johannes

  • 1. bringfire (Aug 19, 2011 06.13):

    I am trying to find a way to AddPoints in the exact positions as the Knots on a Surface....WHY?

    I am trying to automate the Adjust Curve Seam subfunction in the Loft command and hopefully I can set the CurveSeam dblparam to the coordinate of the nearest knot on the surface always seems to be just a little off the nearest corner for non-planar surfaces.

    Any help in getting the coordinates of a SurfaceKnot would be great.

    Thanks.

    AMJR

Recommend

Why are these buttons gray?